Server system requirements

book

Article ID: 180625

calendar_today

Updated On:

Products

Mail Security for Microsoft Exchange

Issue/Introduction

 

Resolution

Server system requirements

You must have domain administrator-level privileges to install Mail Security.

The server system requirements are as follows:

Operating system

The operating system requirements for Microsoft Exchange 2010 are as follows:

  • Windows Server 2008 with SP2 (64-bit) Standard or Enterprise Edition

  • Windows Server 2008 R2 (64-bit) Standard or Enterprise Edition

The operating system requirements for Microsoft Exchange 2007 are as follows:

  • Windows Server 2008 with SP1or later (64-bit) Standard or Enterprise Edition

  • Windows Server 2003 with SP2 (64-bit) Standard or Enterprise Edition

  • Windows Server 2003 R2 (64-bit) Standard or Enterprise Edition

  • Windows Server 2003 SP1/SP2/R2 Standard or Enterprise or Data Center Edition

Exchange platform

  • Exchange Server 2007 SP1/SP2

  • Exchange Server 2010

  • Exchange Server 2003 SP1/SP2

Minimum system requirements

  • Intel(TM) Pentium II 266 MHz or higher processor; recommended Intel Pentium or compatible 733MHz processor

  • x64 architecture-based processor that supports Intel Extended Memory 64 Technology (Intel EM64T)

    x64 architecture-based computer with AMD 64-bit processor that supports AMD64 platform

  • Only for Exchange 2007 Mailbox server role, Exchange Server MAPI client and Collaboration Data Objects 1.2.1

  • 1 GB of memory for Mail Security besides the minimum requirements for the operating system and Exchange. Approximately 4GB or more of memory is required.

  • 500-MB disk space is required for Mail Security. This space does not include disk space required for items such as quarantined messages and attachments, reports, and log data.

  • .NET Framework version 2.0

  • MDAC 2.8 or higher

  • DirectX 9 or higher

  • Microsoft Internet Information Services (IIS) Manager

  • Only for Exchange Server 2010, Microsoft .NET Framework 3.5 and Microsoft Windows Powershell 2.0

Ensure that the components.NET Framework, MDAC, and DirectX are installed before you install Mail Security.

Adobe Acrobat Reader is not a requirement to install and run Mail Security. However, it is required to view the reports that are generated in .pdf format. You can download Adobe Acrobat Reader from www.adobe.com.

See Silently installing Mail Security using an automated installation tool

See About installing Mail Security on remote servers